package mhp.oee.po.gen;

import java.util.Date;

public class WorkCenterMemberPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column work_center_member.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column work_center_member.WORK_CENTER_BO
     *
     * @mbggenerated
     */
    private String workCenterBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column work_center_member.WORK_CENTER_GBO
     *
     * @mbggenerated
     */
    private String workCenterGbo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column work_center_member.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column work_center_member.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column work_center_member.HANDLE
     *
     * @return the value of work_center_member.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column work_center_member.HANDLE
     *
     * @param handle the value for work_center_member.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column work_center_member.WORK_CENTER_BO
     *
     * @return the value of work_center_member.WORK_CENTER_BO
     *
     * @mbggenerated
     */
    public String getWorkCenterBo() {
        return workCenterBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column work_center_member.WORK_CENTER_BO
     *
     * @param workCenterBo the value for work_center_member.WORK_CENTER_BO
     *
     * @mbggenerated
     */
    public void setWorkCenterBo(String workCenterBo) {
        this.workCenterBo = workCenterBo == null ? null : workCenterBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column work_center_member.WORK_CENTER_GBO
     *
     * @return the value of work_center_member.WORK_CENTER_GBO
     *
     * @mbggenerated
     */
    public String getWorkCenterGbo() {
        return workCenterGbo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column work_center_member.WORK_CENTER_GBO
     *
     * @param workCenterGbo the value for work_center_member.WORK_CENTER_GBO
     *
     * @mbggenerated
     */
    public void setWorkCenterGbo(String workCenterGbo) {
        this.workCenterGbo = workCenterGbo == null ? null : workCenterGbo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column work_center_member.CREATED_DATE_TIME
     *
     * @return the value of work_center_member.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column work_center_member.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for work_center_member.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column work_center_member.MODIFIED_USER
     *
     * @return the value of work_center_member.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column work_center_member.MODIFIED_USER
     *
     * @param modifiedUser the value for work_center_member.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}